Update a gateway
curl --request PATCH \
--url https://api.quiva.ai/gateway/{gateway_topic} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated Gateway Name",
"description": "Updated description for my gateway",
"active": true,
"timeout": 60000,
"limit": {
"request": 5000,
"time": 1000
}
}
'import requests
url = "https://api.quiva.ai/gateway/{gateway_topic}"
payload = {
"name": "Updated Gateway Name",
"description": "Updated description for my gateway",
"active": True,
"timeout": 60000,
"limit": {
"request": 5000,
"time": 1000
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Updated Gateway Name',
description: 'Updated description for my gateway',
active: true,
timeout: 60000,
limit: {request: 5000, time: 1000}
})
};
fetch('https://api.quiva.ai/gateway/{gateway_topic}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "success"
}{
"error": "Invalid request parameters"
}{
"error": "The requested resource does not exist"
}Gateways
Update a gateway
Updates an existing gateway’s configuration.
PATCH
/
gateway
/
{gateway_topic}
Update a gateway
Authorizations
bearer_authapi_key_auth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique topic identifier of the gateway
Body
application/json
Updated name of the gateway
Example:
"Updated Gateway Name"
Updated description of the gateway
Example:
"Updated description for my gateway"
Whether the gateway is active
Example:
true
Updated list of middleware to be applied to the gateway
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Updated timeout in milliseconds for gateway requests
Example:
60000
Response
Gateway updated successfully
Example:
"success"
⌘I